Rechercher :
Accueil » Général Connexion

Question Quelles sont les compétences requises pour installer une boutique osCommerce et quels sont les outils conseillés ?
Réponse L'installation d'une simple boutique "de base" ne nécessite rien d'autre qu'un peu d'attention et de maigres compétences spécialisées.
Toutefois, le résultat, bien que fonctionnel, reste très basique et la moindre amélioration de cette première installation exige un minimum de pré-requis.
Le package proposé en téléchargement contient tous les scripts en PHP afin de réaliser une boutique fonctionnelle et complète, une sorte de « KIT ».
Mais une fois les scripts copiés dans un environnement de fonctionnement (serveur web associé à un système PHP/MySql) le plus dur reste à faire : personnaliser ou aménager sa boutique.
Pour cela, les compétences requises sont les suivantes :

- Code HTML : niveau 3 minimum, niveau 4 souhaité
- Code CSS : niveau 2 minimum, niveau 3 souhaité
- Code PHP : niveau 3 minimum, niveau 4 souhaité
- Code MySql : niveau 2 minimum, niveau 3 souhaité
- Code Javascript : niveau 2 minimum
- Code Apache : niveau 1 minimum, niveau 2 souhaité (.htaccess)

Les niveaux de compétences sont notés de 1 à 5 selon ces critères :
1 – débutant (compréhension du code et de la syntaxe)
2 – avancé (aptitude à modifier le code)
3 – maîtrise (aptitude à ajouter quelques éléments, compréhension parfaite de la structure et de la syntaxe du code)
4 – expert (aptitude à développer des portions de code autonomes)
5 – expert développeur pro (aptitude à modifier, adapter, ou créer un code complexe sur plusieurs niveaux)

NB : si votre niveau de compétences est insuffisant par rapport à ces besoins, commencez par vous documenter et améliorez votre savoir faire. Notez qu'il n'est jamais besoin d'avoir un niveau 5.

Ces forums de support s’adressent à tous ceux qui décident de mettre en place une boutique osCommerce avec pour objectif d’améliorer les fonctionnalités de la version de départ (téléchargeable sur ce portail) soit en y ajoutant des options supplémentaires sous forme de contributions, soit en modifiant l’aspect visuel par une adaptation du design ou des éléments graphiques.

Dans ces forums l’échange de compétences règne en maître absolu sur le principe de « vous avez peut-être déjà les solutions à mes problèmes » et « j’ai déjà résolu un problème dont voici la solution… »
En place depuis 2002, ces forums sont avant tout une formidable base de connaissances. Ils proposent en outre des points de regroupement de l’information généralement épinglés en tête de chaque section ainsi qu'une FAQ (que vous consultez ici même).

Autant serviables et pertinents qu'ils peuvent être, ces forums ne doivent pas être confondus avec une Hotline ou une école d’apprentissage du code, pour quelque langage que ce soit.
Les références et documentations relatives aux divers langages exploités par osCommerce sont pléthore sur Internet et les grands moteurs de recherche ne manqueront pas de vous indiquer les adresses précises.


Concernant les versions téléchargeables
La version proposée par le site de support international officiel (http://www.oscommerce.com) propose une version en 3 langues (Anglais, Espagnol, Allemand) où le français est absent. La raison invoqué par l'initateur du projet, Harald Ponce de Leon est qu'il ne maîtrise pas le français.
Nous pallions à ce manque en mettant à votre disposition une version francophone complète en téléchargement sur ce portail. Cette version propose une partie administration entièrement en français ainsi qu'un pack de langue pré-installé pour une boutique en français. Elle est régulièrement mise à jour et contient les derniers patches de sécurité conformément à la version originale de HPDL.
Nous la préconisons donc pour tous ceux qui souhaitent démarrer directement avec une version complètement localisée en français.

Concernant les templates divers vendus sur le net
Les templates pour osCommerce actuellement disponibles sur Internet (principalement "TemplateMonsters") pour quelques dizaines d'euros sont livrés avec une version adaptée de l'original en 3 langues souvent obsolète. Cela signifie que les mises à jour de sécurité récentes sont généralement manquantes et que les parties francophones (administration et boutique) sont absentes.
Nous vous invitons à la prudence sur ce code et ne pouvons assurer un support pour ces versions en raison de :
- leurs adaptations diverses du code générique
- leur obsolescence notament pour les requêtes SQL et les patches de sécurité
- l'absence totale de portions francophones

Voici quelques liens utiles vers des sites de référence :

Et les outils adaptés au développement d'un site en PHP :

Ces liens et références ne sont pas exhaustifs mais ne sont que des points de départ.
Si par exemple nous conseillons l'usage de Firefox pour le développement d'un site (notons au passage qu'il s'agit d'un outil Open Source), les autres navigateurs comme Internet Explorer, Opera ou Safari (cher aux utilisateurs de Mac) doivent rester des plateformes de contrôle incontournables pour vérifier la bonne compatibilité du code HTML/CSS dans les environnements publics les plus communs.
De même, les outils et les sites de références sont en constant renouveau. De ce fait, les liens cités ci-dessus ne sont que les plus pertinents à la date de rédaction de cet article. A vous de découvrir leurs équivalents d'actualité.

Auteur : Gnidhal Mise à jour le 12/11/2008

Retour